autotrace (0.31.1-16+nmu1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix buffer overflow (Closes: #742873, CVE-2013-1953), patch from
    https://bugzilla.redhat.com/show_bug.cgi?id=951257.

 -- Yann Dirson <dirson@debian.org>  Sat, 15 Nov 2014 16:45:25 +0100

autotrace (0.31.1-16) unstable; urgency=low

  * Bumped Standards-Version to 3.9.2
  * Switch to dpkg-source 3.0 (quilt) format
  * Added a patchs for the old changes(pkg without a patch system).
  * Added misc depends to libautotrace-dev
  * Switch to dh8 scripts, dep3 and dep5 format. 
  * Added more description to libautotrace3 and libautotrace-dev
  * Added a symbols file for libautotrace3.
  * Added a docs file and for libautotrace-dev a examples file.

 -- Edgar Antonio Palma de la Cruz <xbytemx@gmail.com>  Sun, 07 Aug 2011 19:22:35 -0500

autotrace (0.31.1-15.3) unstable; urgency=low

  * Non-maintainer upload.
  * Don't ship .la files (Closes: #621237).

 -- Luk Claes <luk@debian.org>  Tue, 28 Jun 2011 20:46:13 +0200

autotrace (0.31.1-15.2) unstable; urgency=medium

  * Non-maintainer upload.
  * ... and replace references to the old libmagick9-dev from
    libautotrace-dev (closes: #625593, again...)
  * Urgency medium to fix RC bugs and help the imagemagick transition
    along.

 -- Vincent Fourmond <fourmond@debian.org>  Thu, 23 Jun 2011 20:34:19 +0200

autotrace (0.31.1-15.1) unstable; urgency=low

  * Non-maintainer upload.
  * Build with recent imagemagick libraries (closes: #625593)

 -- Vincent Fourmond <fourmond@debian.org>  Mon, 06 Jun 2011 12:10:05 +0200

autotrace (0.31.1-15) unstable; urgency=low

  * New maintainer. Closes: #525919
  * Bump Standards-Version to 3.8.3.
  * Fix the manpage ugly format.

 -- Tony Palma <xbytemx@gmail.com>  Fri, 21 Aug 2009 14:58:52 -0500

autotrace (0.31.1-14) unstable; urgency=low

  * QA upload.
    + Set maintainer to Debian QA Group <packages@qa.debian.org>.
  * Move homepage from package description to source stanza.
  * Update ${Source-Version} to ${binary:Version} in depends.
  * Update watch file. (Closes: #449730).
    + Thanks to Raphael Geissert for the patch.
  * Make clean not ignore errors.
  * Bump debhelper build dep to >= 5.
  * Move DH_COMPAT from rules to debian/compat and set to 5.
  * Bump Standards Version to 3.8.1.

 -- Barry deFreese <bdefreese@debian.org>  Mon, 27 Apr 2009 21:49:04 -0400

autotrace (0.31.1-13) unstable; urgency=low

  * Fix some more cases of 64-bit uncleanness (wrong format string
    for size_t).

 -- Henning Makholm <henning@makholm.net>  Sun, 11 Jun 2006 14:08:57 +0200

autotrace (0.31.1-12) unstable; urgency=low

  * Update build system to work with current libpstoedit-dev packages
    that don't ship pstoedit-config:
     - Patch configure.in to try pkg-config in addition to
       libpstoedit-config.
     - Ship old pstoedit.m4 in the source package such that the aclocal.m4
       file can still be built without losing the ability to use
       libpstoedit-config instead.
  * Fix possible problem with compilers that may give enum { false, true }
    a different size than int, and other minor compiler warnings.
  * Bump Standards-Version to 3.7.2.

 -- Henning Makholm <henning@makholm.net>  Fri,  9 Jun 2006 22:03:18 +0200

autotrace (0.31.1-11) unstable; urgency=low

  * Rebuild for new libpstoedit0c2a package.
  * Zlib is not actually used by autotrace; remove build-dependency
    and comment out configure check.

  * Override the ad-hoc build system to avoid transitive shlibs dependencies.
  * Further overrides to produce a sane /usr/lib/pkgconfig/autotrace.pc
  * The autotrace-config script is broken by design; don't ship it.
    All of these per Steve Langasek in
    <http://lists.debian.org/debian-devel-announce/2005/11/msg00016.html>

 -- Henning Makholm <henning@makholm.net>  Fri, 25 Nov 2005 22:07:08 +0100

autotrace (0.31.1-10) unstable; urgency=low

  * Rebuild after libmagick transition; updated build-dependencies
    (Closes: #332456, #335501)
  * Artificially raise error-threshold to at least 0.002, because zero
    or negative values lead to algorithm failure. (Closes: #328822)

 -- Henning Makholm <henning@makholm.net>  Wed,  9 Nov 2005 21:58:42 +0100

autotrace (0.31.1-9) unstable; urgency=low

  * Reorder typedefs in autotrace.h to make C++ compilers like it better.
    (Closes: #292246).
  * New dependencies after C++ ABI transition. (Closes: #317735)
  * Bumped Standards-Version to 3.6.2; no changes were necessary.

 -- Henning Makholm <henning@makholm.net>  Sat, 13 Aug 2005 16:59:05 +0200

autotrace (0.31.1-8) unstable; urgency=low

  * Add watch file
  * Make lintian happy again by letting the Build-Depends line be
    a single (long) line.
  * Apply patch from Steve Langasek (in bug #262469) to remove direct
    dependencies from the autotrace binary package to libmagick.
    (Closes: #260938, as far as it is possible to do in the autotrace
    package).
  * Apply patch from Paul Sladen to eliminate redundant closepaths
    in pdf output.

 -- Henning Makholm <henning@makholm.net>  Mon,  3 Jan 2005 06:45:24 +0000

autotrace (0.31.1-7) unstable; urgency=medium

  * Rebuild for libtiff4 transition

 -- Henning Makholm <henning@makholm.net>  Sun,  1 Aug 2004 12:05:45 +0100

autotrace (0.31.1-6) unstable; urgency=low

  * Rebuild against new libmagick packages. (Closes: #245603).
  * Remove debian/fixmagickversions; we now build-depend on libmagick6
    which never exhibited the particular bug that script worked around.
  * Remove temporary (build-)dependencies on libplot-dev; libpstoedit-dev
    has been fixed for a while now.
  * Fixed upstream configure script which does not like libmagick 6.x
  * Include ltmain.sh in the autofoo stuff in debian/rules; the one shipped
    by upstream had drifted out of sync with Debian's libtool package.
    This should also please GNU/*BSD porters (#242950).

 -- Henning Makholm <henning@makholm.net>  Tue, 27 Apr 2004 02:46:16 +0100

autotrace (0.31.1-5) unstable; urgency=low

  * Copyright file now contains the actual copyright notices from the
    source.
  * Do not distribute the AUTHORS and README files, which tell nothing
    not already documented in the binary package.
  * However, README contained a minimal example of how to use the
    libautotrace library. Ship it as
    /usr/share/doc/libautotrace-dev/examples/sample.c, after fixing
    typo.
  * General cleanup of debian/rules. Explicitly suppress use of libming,
    to avoid FTBFS bugs caused by API changes in the library.
  * Re-computed build-dependencies from scratch. Libdps was not actually
    used. Liblcms1-dev, libfreetype6-dev, libtiff3g-dev, libxml2-dev,
    xlibs-dev, libbz2-dev, and libwmf-dev are all pulled in by
    libpstoedit-dev and/or libmagic-dev, and the source does not refer to
    any of their include files, so there should be no reason to
    build-depend on them explicitly. Libplot-dev can be removed from
    the control file once libpstoedit-dev has been fixed (#240382) to
    pull it in.
  * Fix dependencies for libautotrace-dev. (Closes: #239990).
  * Add manpage for autotrace-config.

 -- Henning Makholm <henning@makholm.net>  Sat, 27 Mar 2004 03:42:14 +0000

autotrace (0.31.1-4) unstable; urgency=low

  * The libmagick saga continues; rebuild once again. (Closes: #226042).
  * Add debian/fixmagickversions, which creates conflicts against the
    versions of libmagick(++) that contained libraries with wrong sonames.

 -- Henning Makholm <henning@makholm.net>  Sun,  4 Jan 2004 10:59:32 +0000

autotrace (0.31.1-3) unstable; urgency=low

  * Rebuild against latest libs (again, again!). (Closes: #224287)
  * Fix bug in the redone autofoo stuff that caused 'debian/rules binary'
    to run the configure script once again.

 -- Henning Makholm <henning@makholm.net>  Sat, 20 Dec 2003 01:32:54 +0000

autotrace (0.31.1-2) unstable; urgency=low

  * New maintainer. (Closes: #206859)
  * Redid autofoo stuff using autotools-dev

 -- Henning Makholm <henning@makholm.net>  Sat,  6 Dec 2003 14:15:01 +0000

autotrace (0.31.1-1) unstable; urgency=high

  * QA upload. This packaged is orphaned; see #206859.
  * Redid auto* to fix FTBFS on mipsel. (Closes: #211862)

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Sun,  5 Oct 2003 16:05:36 +0200

autotrace (0.31.1-0.4) unstable; urgency=low

  * NMU
  * [Makefile.am] Added libautotrace_la_LIBADD to get complete inter-library
    dependency information; reran automake. (Closes: #195970)

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Sun, 14 Sep 2003 16:43:43 +0200

autotrace (0.31.1-0.3) unstable; urgency=low

  * NMU
  * Rebuild against latest libmagick5.5.7.
  * Added Build-Depends: libplot-dev because it is needed for pstoedit
    functionality.  Thanks to LaMont Jones for the bug report.
    (Closes: Bug#191095)
  * Changed section of libautotrace-dev to libdevel.

 -- Anthony Fok <foka@debian.org>  Mon, 19 May 2003 03:11:07 +0800

autotrace (0.31.1-0.2) unstable; urgency=low

  * NMU
  * Rebuild against latest libmagick5.5.5.  (Closes: Bug#184997)

 -- Anthony Fok <foka@debian.org>  Mon, 28 Apr 2003 17:48:55 +0800

autotrace (0.31.1-0.1) unstable; urgency=low

  * NMU
  * New upstream release.  (Closes: Bug#151350)
  * Upstream now contains library and header files.  Spin these off into
    libautotrace3 and libautotrace-dev packages.
  * Added Build-Depends: libpstoedit-dev
  * Upstream contains an up-to-date man page now.  (Closes: Bug#133205)
  * Rebuild against latest libmagick5.5.4.

 -- Anthony Fok <foka@debian.org>  Mon, 10 Feb 2003 03:20:21 +0800

autotrace (0.29-1.4) unstable; urgency=low

  * NMU
  * Rebuild against latest libs (yet again). (Closes: #172836)

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Wed, 22 Jan 2003 12:44:06 -0200

autotrace (0.29-1.3) unstable; urgency=low

  * NMU
  * Rebuild against latest libs (again). (Closes: #169626)

 -- Michael Fedrowitz <michaelf@debian.org>  Sun, 24 Nov 2002 21:33:43 +0100

autotrace (0.29-1.2) unstable; urgency=low

  * NMU
  * Rebuild against latest libs. (Closes: #160667)

 -- Michael Fedrowitz <michaelf@debian.org>  Wed, 16 Oct 2002 13:14:35 +0200

autotrace (0.29-1.1) unstable; urgency=low

  * NMU to bump depends (liblcms changed names...)  Sourceful so that all
    architectures benefit.  Closes: #150056

 -- LaMont Jones <lamont@debian.org>  Wed, 17 Jul 2002 16:08:24 -0600

autotrace (0.29-1) unstable; urgency=low

  * New upstream release (closes: #126832)
  * Added libbz2-dev to build-depends

 -- Harry Henry Gebel <hgebel@debian.org>  Sat, 29 Dec 2001 20:09:26 -0500

autotrace (0.28-2) unstable; urgency=low

  * Added libwmf-dev to Build-depends (closes: #125388)

 -- Harry Henry Gebel <hgebel@debian.org>  Tue, 18 Dec 2001 08:53:12 -0500

autotrace (0.28-1) unstable; urgency=low

  * New upstream release (closes: #123409)
  * Removed libming support (closes: #123077)
  * Added ImageMagick support
  * Added liblcms-dev, libdps-dev, libfreetype6-dev, libjpeg62-dev,
    libmagick5-dev, libtiff3g-dev, libxml2-dev, and xlibs-dev to
    Build-depends

 -- Harry Henry Gebel <hgebel@debian.org>  Mon, 17 Dec 2001 09:48:00 -0500

autotrace (0.27a-1) unstable; urgency=low

  * New upstream release
  * Change maintainer (closes: #100211)
  * Slight alteration to long and short descriptions
  * SWF (flash) support turned on
  * Alter man page to reflect addition of swf support
  * Add 'make distclean' to 'clean' target in debian/rules
  * Makefile, config.status, config.cache, and config.log no longer included
    in .diff .
  * Use 'make install-binPROGRAMS' instead of installing manually in debian/rules
  * Remove debian/dirs
  * Remove HACKING from debian/docs (no longer in source archive)
  * Add AUTHORS to debian/docs
  * Comment out dh_link in debian/rules
  * Add libming-dev to build-deps
  * Removed imagemagick from depends (not being used)
  * Added --without-magick to ./configure in debian/rules (not working)
  * Added libming to depends (not detected by dh_shlibdeps)

 -- Harry Henry Gebel <hgebel@debian.org>  Sat, 13 Oct 2001 22:34:46 -0400

autotrace (0.27-1) unstable; urgency=low

  * Initial Release; closes: #97334

 -- Dr. Guenter Bechly <gbechly@debian.org>  Sun, 13 May 2001 12:36:11 +0200
